Anyone compiled alsa 1.0.2 on Alpha yet? - Linux

This is a discussion on Anyone compiled alsa 1.0.2 on Alpha yet? - Linux ; I can make libs/oss/utils/tools but I can't get driver package to make correctly, here's the end of the compile: Anyone seen this before: 'PDE' previously defined here. It seems like it's trying to overload PDE that was defined in kernel ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Anyone compiled alsa 1.0.2 on Alpha yet?

  1. Anyone compiled alsa 1.0.2 on Alpha yet?


    I can make libs/oss/utils/tools but I can't get driver package to make
    correctly, here's the end of the compile:

    Anyone seen this before: 'PDE' previously defined here.

    It seems like it's trying to overload PDE that was defined in kernel source
    with one of it's own.


    gcc -D__KERNEL__ -DMODULE=1 -I/usr/src/alsa/alsa-driver-1.0.2/include -I/us
    r/src/linux-2.4.24/include -O2 -mno-fp-regs -ffixed-8 -mcpu=ev56 -Wa,-mev6 -
    DLINUX -Wall -Wstrict-prototypes -fomit-frame-pointer -Wno-trigraphs -O2 -fn
    o-strict-aliasing -fno-common -pipe -DALSA_BUILD -nostdinc -iwithprefix
    include -DEXPORT_SYMTAB -c hwdep.c
    In file included from
    /usr/src/alsa/alsa-driver-1.0.2/include/sound/driver.h:42,
    from hwdep.c:22:
    /usr/src/alsa/alsa-driver-1.0.2/include/adriver.h:134: redefinition of `PDE'
    /usr/src/linux-2.4.24/include/linux/proc_fs.h:213: `PDE' previously defined
    here
    make[1]: *** [hwdep.o] Error 1
    make[1]: Leaving directory `/usr/src/alsa/alsa-driver-1.0.2/acore'
    make: *** [compile] Error 1

    Thanks
    ..-=gp=-.




  2. Re: Anyone compiled alsa 1.0.2 on Alpha yet?

    I should mention:

    System is:
    164LX - 533/EV56
    Running Debian Woody with 2.4.24 kernel.

    ..-=gp=-.

    "Graham Payne" wrote in message
    news:hzyTb.3$uo1.8089@news-west.eli.net...
    >
    > I can make libs/oss/utils/tools but I can't get driver package to make
    > correctly, here's the end of the compile:
    >
    > Anyone seen this before: 'PDE' previously defined here.
    >
    > It seems like it's trying to overload PDE that was defined in kernel

    source
    > with one of it's own.
    >
    >
    >

    cc -D__KERNEL__ -DMODULE=1 -I/usr/src/alsa/alsa-driver-1.0.2/include -I/us
    >

    r/src/linux-2.4.24/include -O2 -mno-fp-regs -ffixed-8 -mcpu=ev56 -Wa,-mev6 -
    >

    DLINUX -Wall -Wstrict-prototypes -fomit-frame-pointer -Wno-trigraphs -O2 -fn
    > o-strict-aliasing -fno-common -pipe -DALSA_BUILD -nostdinc -iwithprefix
    > include -DEXPORT_SYMTAB -c hwdep.c
    > In file included from
    > /usr/src/alsa/alsa-driver-1.0.2/include/sound/driver.h:42,
    > from hwdep.c:22:
    > /usr/src/alsa/alsa-driver-1.0.2/include/adriver.h:134: redefinition of

    `PDE'
    > /usr/src/linux-2.4.24/include/linux/proc_fs.h:213: `PDE' previously

    defined
    > here
    > make[1]: *** [hwdep.o] Error 1
    > make[1]: Leaving directory `/usr/src/alsa/alsa-driver-1.0.2/acore'
    > make: *** [compile] Error 1
    >
    > Thanks
    > .-=gp=-.
    >
    >
    >




  3. Re: Anyone compiled alsa 1.0.2 on Alpha yet?

    "Graham Payne" writes:

    > I can make libs/oss/utils/tools but I can't get driver package to make
    > correctly, here's the end of the compile:
    >
    > Anyone seen this before: 'PDE' previously defined here.


    The problem is known and fixed. Search the ALSA mailing lists.

    --
    Måns Rullgård
    mru@kth.se

  4. Re: Anyone compiled alsa 1.0.2 on Alpha yet?

    Thank you, I'm searching now...

    ..-=gp=-.

    "Måns Rullgård" wrote in message
    news:yw1xhdy98ash.fsf@kth.se...
    > "Graham Payne" writes:
    >
    > > I can make libs/oss/utils/tools but I can't get driver package to make
    > > correctly, here's the end of the compile:
    > >
    > > Anyone seen this before: 'PDE' previously defined here.

    >
    > The problem is known and fixed. Search the ALSA mailing lists.
    >
    > --
    > Måns Rullgård
    > mru@kth.se




+ Reply to Thread